Bug 1766128 - libzypp assumes rpmdb is in Berkeley DB format
Summary: libzypp assumes rpmdb is in Berkeley DB format
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libzypp
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1766120
TreeView+ depends on / blocked
 
Reported: 2019-10-28 11:30 UTC by Panu Matilainen
Modified: 2020-01-31 02:01 UTC (History)
2 users (show)

Fixed In Version: libzypp-17.22.0-1.fc30 libzypp-17.22.0-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-31 01:13:20 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openSUSE libzypp issues 197 0 None closed libzypp assumes rpmdb is in Berkeley DB format (rh#1766128) 2020-12-01 18:21:14 UTC

Description Panu Matilainen 2019-10-28 11:30:12 UTC
In libzypp-17.14.0 and upstream as of today, libzypp assumes that rpmdb has a file named Packages in several places in zypp/target/rpm/RpmDb.cc.
As of rpm >= 4.13, this is not a valid assumption.

Comment 1 Neal Gompa 2019-12-11 16:46:18 UTC
Submitted issue upstream. There's some background work already started as SUSE seems to be looking to replace bdb with ndb: https://github.com/openSUSE/post-build-checks/pull/29

Comment 2 Fedora Update System 2020-01-27 09:48:45 UTC
FEDORA-2020-e9594e8e99 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-e9594e8e99

Comment 3 Fedora Update System 2020-01-27 09:48:46 UTC
FEDORA-2020-3e8b579933 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-3e8b579933

Comment 4 Fedora Update System 2020-01-31 01:13:20 UTC
libzypp-17.22.0-1.fc30, zypper-1.14.33-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2020-01-31 02:01:29 UTC
libzypp-17.22.0-1.fc31, zypper-1.14.33-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.